<?php
/**
 * Link template part
 */

$related = new coffeebean_GetGlobal();
$image_url = $thumbnail_url = '';

if ( !is_single() || $related->related === true ) {

  $link_url = (get_post_meta($post->ID, 'coffeebean_link_url', true)) ?: get_the_permalink();
  $link_text = (get_post_meta($post->ID, 'coffeebean_link_text', true)) ?: get_the_title();

  if (has_post_thumbnail()) {
    $thumbnail_full = wp_get_attachment_image_src( get_post_thumbnail_id( get_the_ID() ), 'full' );
    $thumbnail_url = $thumbnail_full[0];
  } ?>

  <div class="post-description loop-page quote-background" style="background-image:url('<?php echo esc_url($thumbnail_url) ?>')"><div class="post-link-text"><?php echo get_the_content(); ?></div>
    <div class="quote-author">
      <a href="<?php echo esc_url($link_url); ?>"><?php echo esc_html($link_text); ?></a>
    </div>
  </div>

<?php } else {

  if (get_post_meta($post->ID, 'coffeebean_image_replace', true)) {
    $thumbnail_url = get_post_meta($post->ID, 'coffeebean_image_replace', true);
  } else {
   if (has_post_thumbnail()) {
    $thumbnail_full = wp_get_attachment_image_src( get_post_thumbnail_id( get_the_ID() ), 'full' );
    $thumbnail_url = $thumbnail_full[0];
    }
  } ?>

  <div class="portfolio-header-image" style="background-image:url('<?php echo esc_url($thumbnail_url) ?>')"></div>

<?php } ?>
