<?php
/**
 * Blog loop template part
 */

$item_width = new coffeebean_GetGlobal();
$blog_words_count = redux_opt('blog_words_count') ?: 30; ?>

<div <?php post_class( esc_html($item_width->item_width) . ' loop blog-item' ); ?> id="post-<?php the_ID(); ?>" >

	<?php if (function_exists('get_post_format')) {

		get_template_part('blog', get_post_format());

		if (function_exists('get_post_format') && get_post_format($post->ID) != 'quote' && get_post_format($post->ID) != 'link') { ?>

			<div class="post-stroke">
				<div class="post-title">
					<h2>
						<a href="<?php the_permalink(); ?>" rel="bookmark">
							<?php the_title(); ?>
						</a>
					</h2>
				</div>
				<div class="post-date">
					<div class="date-number"><a href="<?php the_permalink(); ?>" rel="bookmark"><?php echo get_the_date('M j'); ?></a></div>
					<?php if (get_the_category()) { ?>
						<div class="post-category"><?php the_category( ', ' ); ?></div>
					<?php } ?>
				</div>
			</div>

		<?php } ?>

		<?php	if (function_exists('get_post_format') && get_post_format($post->ID) != 'quote' && get_post_format($post->ID) != 'link') { ?>
			<div class="post-content">

				<div class="post-description loop-page">
					<p><?php
						if (get_the_content()) {
							echo wp_trim_words( get_the_content(), $blog_words_count );
						} elseif (function_exists('coffeebean_page_builder')) {
							coffeebean_page_builder('Text');
						} else {} ?>
					</p>
				</div>

				<a class="readmore" href="<?php the_permalink(); ?>"><?php esc_html_e( 'Read more', 'coffeebean' ); ?></a>
			</div>

		<?php } ?>



	<?php } else { ?>

		<div class="post-stroke">
			<div class="post-title">
				<h2>
					<a href="<?php echo the_permalink(); ?>" rel="bookmark">
						<?php the_title(); ?>
					</a>
				</h2>
			</div>
		</div>

		<div class="post-link"><i class="fa fa-link"></i></div>

	<?php } ?>

</div>
