<?php
/**
 * Filter template part
 */

$filterswitcher = get_post_meta($post->ID, 'coffeebean_filters_on', true);
$all = wp_count_posts( 'portfolio' )->publish;

if (is_single()) {
  if (redux_opt('recent_filters_off') == '0') { ?>
    <style>
      #filter {
        display: none;
      }
    </style>
  <?php } ?>

  <div class="container container-content">
    <div class="sixteen columns">
      <div id="page-title" class="recent-title">
        <h3>
          <?php esc_html_e('Recent Projects', 'coffeebean'); ?>
        </h3>
      </div>
    </div>
  </div>

<?php } else { ?>

  <?php if ($filterswitcher != 'off') {
  	// $filters = (is_page()) ? get_post_meta($post->ID, 'coffeebean_portfolio_filters', true) : get_post_meta($post->ID, 'coffeebean_recent_portfolio_filters', true);
    $filters = get_post_meta($post->ID, 'coffeebean_portfolio_filters', true);
  	$terms = get_terms( 'filters', array( 'include' => $filters, 'orderby' => 'slug' ) ); ?>

  	<div id="filter">
  		<select class="cs-select cs-skin-underline">
  			<option value="" disabled selected><?php esc_html_e( 'Filter', 'coffeebean' ); ?></option>
  			<option value="all" data-filter="all" data-count="<?php echo esc_attr($all); ?>"><?php esc_html_e( 'View All', 'coffeebean' ); ?></option>

  			<?php
  			foreach ( $terms as $term ) {
  				echo '<option value="'. esc_html($term->term_id) .'" data-filter="'. esc_html($term->term_id) .'" data-count="' . esc_html($term->count) . '">'. esc_html($term->name) .'</option>';
  			} ?>

  		</select>
  	</div>


  <?php } ?>
<?php } ?>
