<?php
/**
 * The template part for displaying a message that posts cannot be found
 */

if (is_search()) { ?>
	<h2><?php esc_html_e('Nothing found, please try another search', 'coffeebean') ?></h2>
<?php } ?>

<div class="dummy-content">

	<div class="dummy-column">
		<h2><?php esc_html_e( 'Latest Posts', 'coffeebean' ); ?></h2>
		<?php coffeebean_display_archives(); ?>
	</div>

	<div class="dummy-column">
		<h2><?php esc_html_e( 'Recent Comments', 'coffeebean' ); ?></h2>
		<?php echo coffeebean_recent_comments(); ?>
	</div>

	<div class="dummy-column">
		<h2><?php esc_html_e( 'Categories', 'coffeebean' ); ?></h2>
		<ul>
			<?php wp_list_categories( array( 'number' => 14, 'title_li' => '' ) ); ?>
		</ul>
	</div>

</div>
