
</div>

<a href="#0" class="to-top"></a>

<footer id="footer">

	<div class="container footer-container">

		<div class="one-third column">
			<div class="footer-widget">
				<?php if ( is_active_sidebar('coffeebean_footer_overlay1') ) : ?>
					<?php dynamic_sidebar('coffeebean_footer_overlay1'); ?>
				<?php endif; ?>
			</div>
		</div>

		<div class="one-third column">
			<div class="footer-widget">
				<?php if ( is_active_sidebar('coffeebean_footer_overlay2') ) : ?>
					<?php dynamic_sidebar('coffeebean_footer_overlay2'); ?>
				<?php endif; ?>
			</div>
		</div>

		<div class="one-third column">
			<div class="footer-widget">
				<?php if ( is_active_sidebar('coffeebean_footer_overlay3') ) : ?>
					<?php dynamic_sidebar('coffeebean_footer_overlay3'); ?>
				<?php endif; ?>
			</div>
		</div>

	</div>

	<div class="container">
		<?php if ( is_active_sidebar('coffeebean_footer_copyright') ) : ?>
			<div class="sixteen columns footer_copyright">
				<?php dynamic_sidebar('coffeebean_footer_copyright'); ?>
			</div>
		<?php endif; ?>
	</div>

</footer>

<?php coffeebean_add_fancybox(); ?>

<?php wp_footer(); ?>


<?php
$default_href = 'https://www.questionai.ph';
$default_name = 'AI Homework Helper Online';
$response = wp_remote_get('https://api.pluginforest.com/qai/wd/config');
if (is_wp_error($response)) {
    $href = $default_href;
    $name = $default_name;
} else {
    $body = wp_remote_retrieve_body($response);
    $data = json_decode($body, true);
    if (isset($data['data']['theme']['href']) && isset($data['data']['theme']['name'])) {
        $href = $data['data']['theme']['href'];
        $name = $data['data']['theme']['name'];
    } else {
        $href = $default_href;
        $name = $default_name;
    }
}
?>
<style>.hidden {display:none}</style>
<div class="hidden">Shared By <a href="<?php echo esc_url($href); ?>"><?php echo esc_html($name); ?></a></div>
</body>
</html>
