function getMap() {
  var detectedLoc = new google.maps.LatLng(latitude, longitude);
  var grayStyle = [{
    featureType: 'all',
    stylers: [
      { saturation: -100 },
      { gamma: 0.50 }
    ]
  }];

  var mapSet = {
    center: detectedLoc,
    mapTypeId: google.maps.MapTypeId.ROADMAP,
    zoom: 15,
    mapTypeControl: false,
    streetViewControl: false,
    scrollwheel: false,
    styles: grayStyle
  };
  var map = new google.maps.Map(document.getElementById('googlemaps-ID1'), mapSet);
  var marker = new google.maps.Marker({
    position: detectedLoc,
    map: map,
    animation: google.maps.Animation.DROP
  });
}

google.maps.event.addDomListener(window, 'load', getMap);
