<?php
/**
* Template Name: Portfolio FullWidth No Gaps
*
* Iya:) Custom portfolio template.
*
*/

get_header();
$display_title = get_post_meta($post->ID, 'coffeebean_display_title', true);
$posts_per_page = (redux_opt('portfolio_showpost')) ? redux_opt('portfolio_showpost') : 12;
$filters_array = (get_post_meta($post->ID, 'coffeebean_portfolio_filters', true)) ? get_post_meta($post->ID, 'coffeebean_portfolio_filters', true) : '';
$all = (get_post_meta($post->ID, 'coffeebean_portfolio_filters', true)) ? coffeebean_get_tax_filters($filters_array, 'count') : wp_count_posts( 'portfolio' )->publish; ?>

<div class="container container-content full-width-container <?php echo esc_html($display_title); ?>">

	<?php if (get_post_meta($post->ID, 'coffeebean_display_title', true) != "off") {
		get_template_part('page-title');
	}

	$columns = 'full-width-nogap masonry-portfolio';

	get_template_part('content-masonry');

	coffeebean_load_more($filters_array, $columns, $all, $posts_per_page);

	if ( redux_opt('infinite_off') != '0' ) { coffeebean_get_appear(); } ?>

</div>

<?php get_footer(); ?>
