<?php
/**
 * The Archive template file.
 * @package WordPress
 */

get_header();
$item_width = 'one-third column '; ?>

<div class="container container-content">
  <?php	get_template_part('page-title'); ?>
  <?php if (have_posts()) { ?>

    <div id="portfolio-wrapper" class="blog-grid blog-nosidebar">
   		<?php while ( have_posts() ) : the_post();
   			get_template_part('blog-loop');
   		endwhile; ?>
   	</div>

    <div id="next-posts" class="pagination">
      <div class="nav-previous">
        <?php next_posts_link(esc_html__('Older posts', 'coffeebean')); ?>
        <?php previous_posts_link(esc_html__('Newer posts', 'coffeebean')); ?>
      </div>
    </div>

  <?php	} else { ?>

   	<div class="sixteen columns blog-nosidebar">
      <?php get_template_part( 'content', 'none' ); ?>
   	</div>

  <?php } ?>
</div>

<?php get_footer(); ?>
