<?php
/**
 * Quote template part
 */

$related = new coffeebean_GetGlobal();
$image_url = $thumbnail_url = '';

if ( !is_single() || $related->related === true ) {

  $quote_content = (get_the_content()) ? str_replace(array("<blockquote>", "</blockquote>"), "", get_the_content()) : "";

  if (has_post_thumbnail()) {
    $thumbnail_full = wp_get_attachment_image_src( get_post_thumbnail_id( get_the_ID() ), 'full' );
    $thumbnail_url = $thumbnail_full[0];
  } ?>

  <div class="post-description loop-page quote-background" style="background-image:url('<?php echo esc_url($thumbnail_url) ?>')">
    <p><?php echo '<blockquote>'. $quote_content .'</blockquote>'; ?></p>
    <div class="quote-author"><?php the_title(); ?></div>
  </div>

<?php } else {

  if (get_post_meta($post->ID, 'coffeebean_image_replace', true)) {
    $thumbnail_url = get_post_meta($post->ID, 'coffeebean_image_replace', true);
  } else {
   if (has_post_thumbnail()) {
    $thumbnail_full = wp_get_attachment_image_src( get_post_thumbnail_id( get_the_ID() ), 'full' );
    $thumbnail_url = $thumbnail_full[0];
    }
  } ?>

  <div class="portfolio-header-image" style="background-image:url('<?php echo esc_url($thumbnail_url) ?>')"></div>

<?php } ?>
