<?php
/**
 * Standard blog template part
 */

$related = new coffeebean_GetGlobal();
$image_url = $thumbnail_url = $ratio = '';

if ( !is_single() || $related->related === true ) {

  if ( has_post_thumbnail()) {
    $portfolio_main = wp_get_attachment_image_src( get_post_thumbnail_id( get_the_ID() ), 'portfolio-masonry' );
    $ratio =  ($portfolio_main[2]) ? $portfolio_main[1]/$portfolio_main[2] : '';
    $image_url = $portfolio_main[0];

    if ( $image_url) { ?>
  	  <div class="post_thumb">
        <a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>" rel="bookmark"></a>
        <div class="thumb" data-ratio="<?php echo esc_attr($ratio) ?>" style="background-image:url('<?php echo esc_url($image_url); ?>');"></div>
  	  </div>
    <?php } ?>
  <?php } ?>

<?php } else {

  if (get_post_meta($post->ID, 'coffeebean_blog_image_replace', true)) {

  	$thumbnail_url = get_post_meta($post->ID, 'coffeebean_blog_image_replace', true); ?>

    <div class="portfolio-header-image" style="background-image:url('<?php echo esc_url($thumbnail_url) ?>')"></div>
    <?php

  } else {

    if (has_post_thumbnail()) {
      $thumbnail_full = wp_get_attachment_image_src( get_post_thumbnail_id( get_the_ID() ), 'full' );
      $thumbnail_url = $thumbnail_full[0];

      if ($thumbnail_url) { ?>
        <div class="portfolio-header-image" style="background-image:url('<?php echo esc_url($thumbnail_url) ?>')"></div>
      <?php }
    }

  }

} ?>
