<?php
/**
 * Portfolio template part
 */
?>

<div class="container">
	<div class="fourteen columns hentry portfolio-text blog-nosidebar images-fullwidth">

		<?php while (have_posts()) : the_post();

			if (get_post_meta($post->ID, 'coffeebean_portfolio_excerpt', true)) {

				$excerpt_position = (get_post_meta($post->ID, 'coffeebean_excerpt_position', true)) ? get_post_meta($post->ID, 'coffeebean_excerpt_position', true) : 'right-side';	?>

				<div class="portfolio-excerpt <?php echo esc_html($excerpt_position); ?>">
					<p><?php echo get_post_meta($post->ID, 'coffeebean_portfolio_excerpt', true); ?></p>
				</div>

			<?php }

			the_content();

			if (function_exists('pb_page_builder')) { pb_page_builder(); } ?>

			<div class="post-footer">
				<span class="cats"><?php
					esc_html_e('Category: ', 'coffeebean');?>
					<strong>
						<?php	$terms = get_the_terms( $post->ID, 'filters');
						if ( $terms ) {
							foreach ( $terms as $term ) {
								echo esc_html($term->name) . ' ';
							}
						} ?>
					</strong>
				</span>

				<?php if (get_post_meta($post->ID, 'coffeebean_project_client', true)) { ?><span class="single-tags"> <?php esc_html_e( 'Client: ', 'coffeebean' );?> <strong><?php echo esc_html(get_post_meta($post->ID, 'coffeebean_project_client', true)); ?></strong></span> <?php } ?>

				<?php if (get_post_meta($post->ID, 'coffeebean_project_website', true)) { ?><span class="single-tags"> <?php esc_html_e( 'Website: ', 'coffeebean' ); echo '<a href="'. esc_url(get_post_meta($post->ID, 'coffeebean_project_website_url', true)) .'">'. get_post_meta($post->ID, 'coffeebean_project_website', true) .'</a>'; ?></span> <?php } ?>

				<?php coffeebean_share_me(); ?>

			</div>

		<?php endwhile; ?>

	</div>
</div>
