( function( $ ) {

	$(window).resize(function(){
		coffeebean_getHeight();
		coffeebean_getFullWidth();
		coffeebean_getFullVideo();
		coffeebean_videoWidth();
		coffeebean_galleryWidth();
		coffeebean_getMasonry();
		coffeebean_replaceMobile();
	});

	$(document).ready(function(){
		coffeebean_headerOverlay();
		coffeebean_getHeight();
		coffeebean_getMasonry();
		coffeebean_getMasonryGallery();
		coffeebean_getFullWidth();
		coffeebean_getFullVideo();
		coffeebean_videoWidth();
		coffeebean_galleryWidth();
		coffeebean_infinitePortfolio();
		coffeebean_imagesLoaded();
		// coffeebean_preventFlicker();
		coffeebean_Portfolio();
		coffeebean_addMargin();
		// removeDataAttributes();
		coffeebean_addFancybox();
		coffeebean_wordAnimation();
		coffeebean_galleryOwl();
		coffeebean_replaceMobile();
		coffeebean_showDown();
	});

	$(window).load(function() {
  	coffeebean_getMasonry();
		coffeebean_addMargin();
	})


	function coffeebean_showDown() {
		$('.show-down').on('click', function() {
			var y = $(window).scrollTop();
			$('html, body').animate({ scrollTop: y + 250 });
			$('.show-down').fadeOut();
		});

		if ( $(window).scrollTop() != 0 ) {
			$('.show-down').fadeOut();
		}
		if ( $(window).scrollTop() == 0 ) {
			$('.show-down').fadeIn();
		}

		$(window).on('scroll', function() {
			if ( $(window).scrollTop() != 0 ) {
				$('.show-down').fadeOut();
			}
			if ( $(window).scrollTop() == 0 ) {
				$('.show-down').fadeIn();
			}
		});
	}

	function coffeebean_replaceMobile() {
		var background = $('.portfolio-header-image').attr('data-background');
		if ( typeof background !== 'undefined' && background.length > 0 && $(window).width() <= 959 ) {
			$('.portfolio-header-image').attr('style', 'background-image:url(\'' + background + '\');');
		}
	}

	function removeDataAttributes() {
		$('.single-portfolio').find('a[data-fancybox]').removeAttr('data-fancybox href');
	}

	// function coffeebean_addFancybox() {
	// 	$("[data-fancybox]").fancybox({
	// 		loop : true,
	// 		buttons : [
	// 			'slideShow',
	// 			'fullScreen',
	// 			'close'
	// 		],
	// 		helpers:  {
	// 			title:  { type : 'inside' }
	// 		}
	// 	});
	// 	$( '.hentry' ).fitVids();
	// }

	function coffeebean_addFancybox() {

		Fancybox.bind("[data-fancybox]", {
			caption: function (fancybox, carousel, slide) {
				 return (
					 ' ' + slide.caption + ' '
				 );
			 },
			Html : {
    html5video : {
      tpl: `<video class="fancybox__html5video" playsinline controls controlsList="nodownload" poster="{{poster}}">
      <source src="{{src}}" type="{{format}}" />
      Sorry, your browser doesn\'t support embedded videos, <a href="{{src}}">download</a> and watch with your favorite video player!
    </video>`,
      format: "",
    }
  }

		});

		// $("[data-fancybox]").fancybox({
		// 	loop: true,
		// 	preventCaptionOverlap: false,
		// 	infobar: false,
		// 	animationEffect: "fade",
		// 	buttons : [
		// 		"close"
		// 	],
		// 	btnTpl: {
		// 		close:
		// 			'<button data-fancybox-close="" class="fancybox-button fancybox-button--close" title="Close">' +
		// 			'</button>',
		//
		// 		arrowLeft:
		// 			'<button data-fancybox-prev="" title="Previous" class="fancybox-arrow fancybox-arrow--left">' +
		// 			'</button>',
		//
		// 		arrowRight:
		// 			'<button data-fancybox-next="" title="Next" class="fancybox-arrow fancybox-arrow--right">' +
		// 			'</button>',
		// 	},
		// 	helpers:  {
		// 		title:  { type : 'inside' }
		// 	},
		// 	media : {
		// 		youtube : {
		// 				params : {
		// 						autoplay : 1
		// 				}
		// 		},
		// 		vimeo : {
		// 				params : {
		// 						autoplay : 1
		// 				}
		// 		}
		// 	},
		// 	mobile : {
		// 		idleTime : false,
		// 		margin   : 0
		// 	},
		// });
		$( '.hentry' ).fitVids();
	}

	/* Images alignment */

	function coffeebean_getFullWidth() {

		if ($(document).find(".right-sidebar")) {
			$(".images-fullwidth").find(".alignnone").css({"margin-left": 0, "max-width":"100%"})
		} else {
			if ( $( ".portfolio-text" ).length > 0 ) {
				$(".images-fullwidth").find(".alignnone").css({"margin-left": $( '.portfolio-text' ).width()/2-$(window).width()/2, "max-width":"none", "width": $(window).width()})
			}
		}

		/*if ($("div").is(".shortcode-gallery, .shortcode-gallery-full, .content-self-container, .content-self-container-full")) { */
		// if ($(window).width() > 959 && $(".shortcode-gallery, .shortcode-gallery-full, .content-self-container, .content-self-container-full")) {
		// 	if (  $( ".portfolio-text" ).length > 0 || $( ".type-page" ).length > 0 ) {
		// 		$(".shortcode-gallery, .shortcode-gallery-full, .content-self-container, .content-self-container-full").css({"margin-left": $( '.portfolio-text, .type-page' ).width()/2-$(window).width()/2, "max-width":"none", "width": $(window).width()})
		// 	}
		// }

	}

	function coffeebean_getFullVideo() {
		// if ($('body').hasClass('page-template-template-portfoliofull-video')) {
		// 	$('.full-width-video').each(function() {
		// 		$(this).css({"height": $(this).width()/1.85})
		// 	});
		// }
	}

	function coffeebean_addMargin() {
		if ($(document).find("#portfolio-header")) {
			// if ($(this).children('.portfolio-header-image').find('.hentry') && $(window).width() <= 959) {
			// 	$("#portfolio-header").css({"margin-top": "0", "height": $("#portfolio-header").find('.post_thumb').height()})
			// } else {
				$("#portfolio-header").css("margin-top", -$("#site-navigation").height() - 0);
			// }
		}
	}

	function coffeebean_videoWidth() {
		$('.selfhosted-video').each(function() {
			var video = $(".selfhosted-video");
			var videoContainer = $( '.self_container' );
			if (video) {
				if (videoContainer.width()/video.data( 'video-ratio' ) <= videoContainer.height() ) {
					$(this).css({"width": videoContainer.height()*video.data( 'video-ratio' ), "height": videoContainer.height(), "margin-left":(videoContainer.width()-videoContainer.height()*video.data( 'video-ratio' ))/2})
				} else {
					$(this).css({"width": "", "height": "", "margin-left": ""})
				}
			}
		});
		$('.blog-selfhosted-video').each(function() {
			var blogVideo = $(".blog-selfhosted-video");
			var videoContainer = $( '.blog-self_container' );
			if (blogVideo) {
				$(this).css({"width": videoContainer.width(), "height": videoContainer.width()/blogVideo.data( 'video-ratio' )})
			}
		});
	}

	function coffeebean_galleryWidth() {
		$('.portfolio-header-image .owl-wrapper-outer').each(function() {
			var gallery = $(".owl-wrapper-outer");
			var galleryItem = $( '.owl-item' );
			var galleryImage = $( '.portfolio-header-image .owl-item img' );
			var galleryShortcodeImage = $( '.shortcode-gallery-full .owl-item img' );
			var galleryShortcodeItem = $( '.shortcode-gallery .owl-item' );
			var galleryRatio;
			if (gallery) {
				if (galleryItem.height() <= $(window).height() ) {
					$(this).css({"height": $(window).height()})
				} else {
					$(this).css({"height": ""})
				}

				galleryImage.each(function() {
					galleryRatio = $(this).attr( 'data-ratio' );
					if ( $(window).height()*galleryRatio >= $(window).width() ) {
						$(this).css({"width": $(window).height()*galleryRatio, "height": $(window).height(), "margin-left": ($(window).width() - $(window).height()*galleryRatio)/2})
					} else {
						$(this).css({"width": "", "height": "", "margin-left": ""})
					}
				});

				galleryShortcodeImage.each(function() {
					galleryRatio = $(this).attr( 'data-ratio' );
					$(this).css({"width": $(window).width(), "height": $(window).width()/galleryRatio})
				});

			}
		});
	}

	function coffeebean_getHeight() {
	 $('.masonry-portfolio, .third-masonry, .full-width').each( function() {
			var ratio = $( this ).find( '.thumb' ).attr( 'data-ratio' );
			var img_width = $( this ).width();

			if ( ratio > 1 ) {
				var div_height = img_width / ratio;
			} else {
				var div_height = img_width / ratio; }


				$( this ).find( '.thumb' ).css( { 'height': Math.floor( div_height ) } );
				$( this ).css( { 'height': Math.floor( div_height ) } );

			$( this ).find( '.owl-carousel' ).css( { 'height': Math.floor( div_height ) } );
		});

		/*$('.portfolio-item, .blog-item').each( function() {
			var currentWidth = Math.floor($( this ).find( '.thumb' ).width());
			if ($( this ).is( ".size-1x1, .size-2x2" )) {
				$( this ).css( { 'height': Math.floor(currentWidth) } );
			}
			if ($( this ).is( ".size-1x2" )) {
				$( this ).css( { 'height': 2 * currentWidth + 20 } );
			}
			if ($( this ).is( ".size-2x1" )) {
				$( this ).css( { 'height': currentWidth/2 - 10 } );
			}
		});*/

		$('.blog-item .thumb').each( function() {
			var ratio = $( this ).attr( 'data-ratio' );
			var img_width = $( this ).width();
			if ( ratio > 1 ) {
				var div_height = img_width / ratio;
			} else {
				var div_height = img_width / ratio;
			}
			$( this ).css( { 'height': Math.floor( div_height ) } );
		});

		$('.quote-background').each( function() {
			var postlinktext = $( this ).find( '.post-link-text' ).height(),
			quoteauthor = $( this ).find( '.quote-author' ).height(),
			blockquote = $( this ).find( 'blockquote' ).height();

			$(this).css({"min-height": postlinktext + quoteauthor + blockquote + 160})
		});
	}

	var $container = $( '#portfolio-wrapper' ), filter,
	count, all, columns,
	perpage = $( '#next-projects' ).data( 'perpage' ),
	loadtext = $( '#next-projects' ).data( 'load' ),
	loadingtext = $( '#next-projects' ).data( 'loading' ),
	offset = perpage;

	if ( offset >= $( '#next-projects' ).data( 'all' ) ) {
		$( '.load-more' ).addClass( 'hide' );
	}

	function coffeebean_getMasonry(sizer) {
		var newWidth = '.full-width, .masonry-portfolio, .size-1x1, .size-1x2, .eight, .loop';

		if (typeof sizer !== 'undefined') {
			newWidth = 1;
		}

		if ($("body").is(".page-template-template-portfoliofull-php, .single-portfolio")) {
			newWidth = '.portfolio_sizer';
		}

		$container.masonry( {
			columnWidth: newWidth,
			itemSelector: '.portfolio-item, .blog-item',
		});
		//console.log( newWidth );
	}

	function coffeebean_getMasonryGallery() {
		var $containerGallery = $( '#portfolio-gallery-wrapper' );
		$containerGallery.masonry( {
			itemSelector: '.portfolio-gallery-item'
		});
	}

	function coffeebean_infinitePortfolio() {
		var exclude = '';

		$('#filter li').on('click', function( e ) {

			e.preventDefault(); exclude = '';

			$( '#ajax-loader' ).fadeIn(100);
			var lastClicked = $(this).data( "lastClicked" ) || 0;
			count = $( this ).attr( 'data-count' );
			offset = 0;
			filter = $( this ).attr( 'data-filter' );
			columns = $( '#next-projects' ).attr( 'data-columns');

			if (new Date() - lastClicked >= 1000) {
				$(this).data( "lastClicked", new Date() );
				$( function() {
					if (e.handled !== true) {
						e.handled = true;
						setTimeout( callAjax, 100 );
					}
				});
			}

			function callAjax() {
				$.ajax( {
					type : 'POST',
					url : infinite_url.ajax_url,
					data : {
						action : 'ajax_infinite',
						perpage : perpage,
						//offset : offset,
						filter : filter,
						columns : columns,
						exclude : exclude
					},
					success : function( response ) {
						var elem = $( response ).addClass( 'hidden' );
						$container.html( elem );
						coffeebean_getHeight();
						coffeebean_imagesLoaded();
						$container.masonry( 'prepended', elem );
						coffeebean_getMasonry('11');
						elem.removeClass( 'hidden' );

						offset = perpage + offset;

						if ( perpage >= count ) {
							$( '.load-more' ).addClass( 'hide' );
						} else {
							$( '.load-more' ).removeClass( 'hide' );
						}

						$( '#ajax-loader' ).delay(990).fadeOut("slow");
						// console.log( exclude );
					}
				});
			}

			$( '#next-projects' ).attr( 'data-filter', filter );
			$( '#next-projects' ).attr( 'data-all', count );
			$( this ).parent().siblings().find( 'a' ).removeClass( 'active' );
			$( this ).parent().find( 'a' ).addClass( 'active' );

		} );

		$( '#next-projects' ).on('click', function( e ) {

			e.preventDefault();
			var lastClicked = $(this).data( "lastClicked" ) || 0;
			all = $( this ).attr( 'data-all' );
			filter = $( this ).attr( 'data-filter' );
			columns = $( '#next-projects' ).attr( 'data-columns');
			$( '#portfolio-wrapper' ).find( '.portfolio-item' ).each( function() {
				exclude = exclude + $( this ).attr( 'data-id') + ',';
			});

			$( this ).text( loadingtext ).fadeIn();
			$( '.loadmore-img' ).fadeIn();

			if (new Date() - lastClicked >= 1000) {
			  $(this).data( "lastClicked", new Date() );
				$( function() {
					if (e.handled !== true) {
						e.handled = true;
						setTimeout(callAjax, 100);
					}
				});
			}

			function callAjax() {
				$.ajax( {
					type : 'POST',
					url : infinite_url.ajax_url,
					data : {
						action : 'ajax_infinite',
						perpage : perpage,
						//offset : offset,
						filter : filter,
						columns : columns,
						exclude : exclude
					},
					success : function( response ) {
						var elem = $( response ).addClass( 'hidden' );
						$container.append( elem );
						coffeebean_getHeight();
						coffeebean_imagesLoaded();
						coffeebean_getFullVideo();
						$container.masonry( 'appended', elem );
						elem.removeClass( 'hidden' );

						offset = perpage + offset;

						if ( offset >= all ) {
							$( '.load-more' ).addClass( 'hide' );
						}
						$( '.loadmore-img' ).fadeOut();
						$( '#next-projects' ).text( loadtext ).fadeIn();
						//console.log( '2: ' + exclude );
					}
		    });
			}

		});
	}

	function coffeebean_imagesLoaded() {
    $(".portfolio-item, .portfolio-header, .post_thumb").imagesLoaded({ background: ".thumb, .portfolio-header-image" }).always(function() {
      return $(".portfolio-item, .portfolio-header, .post_thumb").addClass("loaded");
    });
	}

	var opened = false,
	menuItem = $('.menu-item-has-children a'),
	menuContainer = $('.nav-menu');

	$( '.menu-dropdown' ).on( 'click', function() {
		$( '.nav-menu, .menu-dropdown, body' ).toggleClass( 'toggled-on' );
		opened = !opened;
	} );

	if ( $(window).width() <= 959 && $('body').hasClass('accordeon_dropdown')) {
		$( 'li.menu-item-has-children a' ).on( 'click', function() {
			$( this ).closest('.menu-item').children('.sub-menu').toggleClass( 'toggled-on' );
		} );
	}

	$( '.container-content, .portfolio_container, .portfolio-text, .portfolio-header' ).on( 'click', function(e) {
		var target = e.target;
		if( opened && target !== menuContainer ) {
			$( '.nav-menu, .menu-dropdown, body' ).removeClass( 'toggled-on' );
			opened = !opened;
		}
	} );

	function coffeebean_headerOverlay() {

		var bodyEl = document.body,
		content = document.querySelector( '#wrapper' ),
		openbtn = document.getElementById( 'social-trigger' ),
		closebtn = document.getElementById( 'close-button' ),
		isOpen = false,
		isOpen2 = false;

		function init() {
			initEvents();
		}

		function initEvents() {
			if ( openbtn ) {
				openbtn.addEventListener( 'click', toggleMenu );
			}
			if ( closebtn ) {
				closebtn.addEventListener( 'click', toggleMenu );
			}

			content.addEventListener( 'click', function(ev) {
				var target = ev.target;
				if( isOpen && target !== openbtn ) {
					toggleMenu();
				}
			});
		}

		$(window).resize(function() {
			if ( isOpen ) {
				$('#social-wrapper').css('height', $('.social-height').height())
			}
		});

		function toggleMenu() {
			if ( isOpen ) {
				$('#social-wrapper').css('height', 0);
			}	else {
				$('#social-wrapper').css('height', $('.social-height').height());
			}
			isOpen = !isOpen;
		}

		init();
	}

	function coffeebean_preventFlicker() {
		var h = $('.portfolio-header').height();
		if ( /Android|webOS|iPhone|iPad|iPod|BlackBerry|IEMobile|Opera Mini/i.test(navigator.userAgent) ) {
			$('.portfolio-header').height(h);
		}
		$( window ).on( "orientationchange", function() {
			$('.portfolio-header').height($(this).height());
		});
	}

	function coffeebean_Portfolio() {
		var scrollContainer = $(".intro-effect-fadeout, .intro-effect-side");

		$(window).scroll(function(){
			( $(this).scrollTop() > 1 ) ? scrollContainer.addClass('modify') : scrollContainer.removeClass('modify');
		});

		if ($(window).scrollTop() > 1) { scrollContainer.addClass('modify') }
	}

	function coffeebean_galleryOwl() {
		$('.owl-carousel').owlCarousel({
			items:1,
			lazyLoad:true,
			navigation:!0,
			pagination:!0,
			slideSpeed:800,
			dots:true,
			autoHeight:true,
			singleItem:!0,
			autoWidth:true,
			loop:true
		})

		$('.justified-gallery').justifiedGallery({
			rowHeight : 220,
			maxRowHeight : 300,
			lastRow : 'justify',
			margins : 4,
			captions : false
		});
	}

	function coffeebean_wordAnimation() {
		//set animation timing
		var animationDelay = 3500,
		//loading bar effect
		barAnimationDelay = 3800,
		barWaiting = barAnimationDelay - 3000, //3000 is the duration of the transition on the loading bar - set in the scss/css file
		//letters effect
		lettersDelay = 50,
		//type effect
		typeLettersDelay = 150,
		selectionDuration = 500,
		typeAnimationDelay = selectionDuration + 800,
		//clip effect
		revealDuration = 600,
		revealAnimationDelay = 1500;

		initHeadline();

		function initHeadline() {
			//insert <i> element for each letter of a changing word
			singleLetters($('.cd-headline.letters').find('b'));
			//initialise headline animation
			animateHeadline($('.cd-headline'));
		}

		function singleLetters($words) {
			$words.each(function(){
				var word = $(this),
				letters = word.text().split(''),
				selected = word.hasClass('is-visible');
				for (i in letters) {
					if(word.parents('.rotate-2').length > 0) letters[i] = '<em>' + letters[i] + '</em>';
					letters[i] = (selected) ? '<i class="in">' + letters[i] + '</i>': '<i>' + letters[i] + '</i>';
				}
		    var newLetters = letters.join('');
		    word.html(newLetters).css('opacity', 1);
			});
		}

		function animateHeadline($headlines) {
			var duration = animationDelay;
			$headlines.each(function(){
				var headline = $(this);

				if(headline.hasClass('loading-bar')) {
					duration = barAnimationDelay;
					setTimeout(function(){ headline.find('.cd-words-wrapper').addClass('is-loading') }, barWaiting);
				} else if (headline.hasClass('clip')){
					var spanWrapper = headline.find('.cd-words-wrapper'),
						newWidth = spanWrapper.width() + 10
					spanWrapper.css('width', newWidth);
				} else if (!headline.hasClass('type') ) {
					//assign to .cd-words-wrapper the width of its longest word
					var words = headline.find('.cd-words-wrapper b'),
						width = 0;
					words.each(function(){
						var wordWidth = $(this).width();
					    if (wordWidth > width) width = wordWidth;
					});
					headline.find('.cd-words-wrapper').css('width', width);
				};

				//trigger animation
				setTimeout(function(){ hideWord( headline.find('.is-visible').eq(0) ) }, duration);
			});
		}

		function hideWord($word) {
			var nextWord = takeNext($word);

			if($word.parents('.cd-headline').hasClass('type')) {
				var parentSpan = $word.parent('.cd-words-wrapper');
				parentSpan.addClass('selected').removeClass('waiting');
				setTimeout(function(){
					parentSpan.removeClass('selected');
					$word.removeClass('is-visible').addClass('is-hidden').children('i').removeClass('in').addClass('out');
				}, selectionDuration);
				setTimeout(function(){ showWord(nextWord, typeLettersDelay) }, typeAnimationDelay);

			} else if($word.parents('.cd-headline').hasClass('letters')) {
				var bool = ($word.children('i').length >= nextWord.children('i').length) ? true : false;
				hideLetter($word.find('i').eq(0), $word, bool, lettersDelay);
				showLetter(nextWord.find('i').eq(0), nextWord, bool, lettersDelay);

			}  else if($word.parents('.cd-headline').hasClass('clip')) {
				$word.parents('.cd-words-wrapper').animate({ width : '2px' }, revealDuration, function(){
					switchWord($word, nextWord);
					showWord(nextWord);
				});

			} else if ($word.parents('.cd-headline').hasClass('loading-bar')){
				$word.parents('.cd-words-wrapper').removeClass('is-loading');
				switchWord($word, nextWord);
				setTimeout(function(){ hideWord(nextWord) }, barAnimationDelay);
				setTimeout(function(){ $word.parents('.cd-words-wrapper').addClass('is-loading') }, barWaiting);

			} else {
				switchWord($word, nextWord);
				setTimeout(function(){ hideWord(nextWord) }, animationDelay);
			}
		}

		function showWord($word, $duration) {
			if($word.parents('.cd-headline').hasClass('type')) {
				showLetter($word.find('i').eq(0), $word, false, $duration);
				$word.addClass('is-visible').removeClass('is-hidden');

			}  else if($word.parents('.cd-headline').hasClass('clip')) {
				$word.parents('.cd-words-wrapper').animate({ 'width' : $word.width() + 10 }, revealDuration, function(){
					setTimeout(function(){ hideWord($word) }, revealAnimationDelay);
				});
			}
		}

		function hideLetter($letter, $word, $bool, $duration) {
			$letter.removeClass('in').addClass('out');

			if(!$letter.is(':last-child')) {
			 	setTimeout(function(){ hideLetter($letter.next(), $word, $bool, $duration); }, $duration);
			} else if($bool) {
			 	setTimeout(function(){ hideWord(takeNext($word)) }, animationDelay);
			}

			if($letter.is(':last-child') && $('html').hasClass('no-csstransitions')) {
				var nextWord = takeNext($word);
				switchWord($word, nextWord);
			}
		}

		function showLetter($letter, $word, $bool, $duration) {
			$letter.addClass('in').removeClass('out');

			if(!$letter.is(':last-child')) {
				setTimeout(function(){ showLetter($letter.next(), $word, $bool, $duration); }, $duration);
			} else {
				if($word.parents('.cd-headline').hasClass('type')) { setTimeout(function(){ $word.parents('.cd-words-wrapper').addClass('waiting'); }, 200);}
				if(!$bool) { setTimeout(function(){ hideWord($word) }, animationDelay) }
			}
		}

		function takeNext($word) {
			return (!$word.is(':last-child')) ? $word.next() : $word.parent().children().eq(0);
		}

		function takePrev($word) {
			return (!$word.is(':first-child')) ? $word.prev() : $word.parent().children().last();
		}

		function switchWord($oldWord, $newWord) {
			$oldWord.removeClass('is-visible').addClass('is-hidden');
			$newWord.removeClass('is-hidden').addClass('is-visible');
		}
	}

} )( jQuery );

// comments form placeholder

(function() {

	if (!String.prototype.trim) {
		(function() {
			var rtrim = /^[\s\uFEFF\xA0]+|[\s\uFEFF\xA0]+$/g;
			String.prototype.trim = function() {
				return this.replace(rtrim, '');
			};
		})();
	}

	[].slice.call( document.querySelectorAll( 'input.input__field, textarea.input__field' ) ).forEach( function( inputEl ) {

		if( inputEl.value.trim() !== '' ) {
			classie.add( inputEl.parentNode, 'input--filled' );
		}

		inputEl.addEventListener( 'focus', onInputFocus );
		inputEl.addEventListener( 'blur', onInputBlur );
	});

	function onInputFocus( ev ) {
		classie.add( ev.target.parentNode, 'input--filled' );
	}

	function onInputBlur( ev ) {
		if( ev.target.value.trim() === '' ) {
			classie.remove( ev.target.parentNode, 'input--filled' );
		}
	}
})();

/* Back to top */

jQuery(document).ready(function($){

	var offset = 500, offset_next = 100,
	offset_opacity = 100,
	scroll_top_duration = 700,

	$back_to_top = $('.to-top');
	$next_prev = $('.project-navigation');

	//hide or show the "back to top" link
	$(window).scroll(function(){
		( $(this).scrollTop() > offset ) ? $back_to_top.addClass('cd-is-visible') : $back_to_top.removeClass('cd-is-visible cd-fade-out');
		if( $(this).scrollTop() > offset_opacity ) {
			$back_to_top.addClass('cd-fade-out');
		}
	});

	$(window).scroll(function(){
		( $(this).scrollTop() > offset_next ) ? $next_prev.addClass('is-visible') : $next_prev.removeClass('is-visible fade-out');
		if( $(this).scrollTop() > offset_opacity ) {
			$next_prev.addClass('fade-out');
		}
	});

	//smooth scroll to top
	$back_to_top.on('click', function(event){
		event.preventDefault();
		$('body,html').animate({
			scrollTop: 0,
		}, scroll_top_duration);
	});

});
