<?php

if (is_page()) {
	$position = (get_post_meta($post->ID, 'coffeebean_sidebar_layout', true) == 'left-sidebar') ? '' : 'omega right-sidebar';
} else {
	$position = (redux_opt('blog_layout') == 1) ? '' : 'omega right-sidebar';
}

$sidebar_name = (is_page_template('template-contact.php')) ? "coffeebean_sidebar2" : "coffeebean_sidebar1"; ?>

<div class="four columns <?php echo esc_html( $position ); ?>">
	<?php if ( is_active_sidebar( $sidebar_name ) ) : ?>
		<div class="blog-sidebar">
			<?php dynamic_sidebar( $sidebar_name ); ?>
		</div>
	<?php endif; ?>
</div>
